summaryrefslogtreecommitdiffstats
path: root/debian/comerr-dev.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/comerr-dev.preinst')
-rw-r--r--debian/comerr-dev.preinst31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/comerr-dev.preinst b/debian/comerr-dev.preinst
new file mode 100644
index 0000000..5d8090a
--- /dev/null
+++ b/debian/comerr-dev.preinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# Abort on error.
+set -e
+
+symlink_match()
+{
+ local SYMLINK="$1"
+ local SYMLINK_TARGET="$2"
+
+ [ "$(readlink "$SYMLINK")" = "$SYMLINK_TARGET" ] || \
+ [ "$(readlink -f "$SYMLINK")" = "$SYMLINK_TARGET" ]
+}
+
+SYMLINK=/usr/share/doc/comerr-dev
+SYMLINK_TARGET=libcomerr2
+SYMLINK_TARGET2=libcom-err2
+
+if [ "$1" = "install" -o "$1" = "upgrade" ] &&
+ [ -n "$2" ] && [ -h "$SYMLINK" ]
+then
+ if symlink_match "$SYMLINK" "$SYMLINK_TARGET" ||
+ symlink_match "$SYMLINK" "$SYMLINK_TARGET2"
+ then
+ mv -f "$SYMLINK" "${SYMLINK}.dpkg-backup"
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0